Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044812
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajorhave not tried2020-08-13 15:552020-09-07 17:19
ReportershuehnerView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044812: SL_MInOutTraceReports callout is old-style callout (not SimpleCallout) but also used in manual HTML code

DescriptionThis file was not yet refactored to be a SimpleCallout as it is also used as a Servlet directly from manual HTML code:

Issue 44795 tries to get rid of all callouts registered in ad_callout which are still a Servlet.

Registered as ad_callout here:
./src-db/database/sourcedata/AD_CALLOUT.xml:<!--800007--> <AD_CALLOUT_ID><![CDATA[800007]]></AD_CALLOUT_ID>

Used manually in in 2 files:
src/org/openbravo/erpCommon/ad_reports/MInOutTraceReports.html: submitCommandFormParameter('DEFAULT', frmMain.inpLastFieldChanged, changedField, false, null, '../ad_callouts/SL_MInOutTraceReports.html', 'hiddenFrame', null, null, true);
src/org/openbravo/erpCommon/ad_reports/ReportProductMovement.html: submitCommandFormParameter('DEFAULT', frmMain.inpLastFieldChanged, changedField, false, null, '../ad_callouts/SL_MInOutTraceReports.html', 'hiddenFrame', null, null, true);

Checking usage in PI + all modules does not show not any reference to ad_callout _id = 800007.

So when that is verified easy 'fix' would be to change this file to be just a manual servlet (ad_model_object) and remove the ad_callout entry
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044813 closedinigo_lerga SL_CreateLines_Conversion_UOM callout is old-style callout (not SimpleCallout) but also used in manual HTML code 
blocks design defect 0044795 newTriage Finance Tracking issue to refactor remaining old callouts to extend SimpleCallout 

-  Notes
(0122587)
hgbot (developer)
2020-09-03 12:59

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/142 [^]
(0122588)
inigo_lerga (developer)
2020-09-03 13:34
edited on: 2020-09-07 17:08

--Test Plan Mantis --
After deleting the AD_CALLOUT entry for this class, there is still an AD_MODEL_OBJECT entry linked to it, which allows Tomcat to be able to make
the Ajax call to the servlet.

As the F&B International Group Admin role in Backend:
  - Go to either Traceability Report window or
    Product Movements Report window and press the Product
    selector button. Select 'Vino Tinto 0,75L' and press the
    OK button.

#In this moment the manual servlet is executed, which inserts the Attribute [CG1000000] in the Attribute selector field"
Check that this value is present in this selector afterwards

(0122767)
hgbot (developer)
2020-09-07 17:12

Merge Request created: https://gitlab.com/openbravo/ci/backoffice-api/-/merge_requests/2 [^]
(0122768)
hgbot (developer)
2020-09-07 17:13

Repository: https://gitlab.com/openbravo/ci/backoffice-api [^]
Changeset: dbbf25e4f726f21cd6b9039110aea05ca280c44d
Author: david.miguelez <david.miguelez@openbravo.com>
Date: 2020-09-07T17:11:28+02:00
URL: https://gitlab.com/openbravo/ci/backoffice-api/-/commit/dbbf25e4f726f21cd6b9039110aea05ca280c44d [^]

Related to ISSUE-44812. Removed callout entry from Application Dictionary

---
M model/src-db/database/sourcedata/AD_CALLOUT.xml
---
(0122769)
hgbot (developer)
2020-09-07 17:13

Merge request merged: https://gitlab.com/openbravo/ci/backoffice-api/-/merge_requests/2 [^]
(0122770)
hgbot (developer)
2020-09-07 17:19

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/142 [^]
(0122771)
hgbot (developer)
2020-09-07 17:19

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 1d9ec74bd89b115a2d8757cc093ed72ecfa366a2
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-07T15:12:56+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/1d9ec74bd89b115a2d8757cc093ed72ecfa366a2 [^]

fixes BUG-44812:Removed SL_MInOutTraceReports callout entry

---
M src-db/database/sourcedata/AD_CALLOUT.xml
---

- Issue History
Date Modified Username Field Change
2020-08-13 15:55 shuehner New Issue
2020-08-13 15:55 shuehner Assigned To => Triage Finance
2020-08-13 15:55 shuehner Modules => Core
2020-08-13 15:55 shuehner Triggers an Emergency Pack => No
2020-08-13 15:56 shuehner Relationship added blocks 0044795
2020-08-13 15:58 shuehner Issue cloned 0044813
2020-08-13 15:58 shuehner Relationship added related to 0044813
2020-08-14 12:49 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-08-21 08:41 inigo_lerga Status new => scheduled
2020-09-03 12:59 hgbot Note Added: 0122587
2020-09-03 13:34 inigo_lerga Note Added: 0122588
2020-09-07 09:08 inigo_lerga Note Edited: 0122588 View Revisions
2020-09-07 09:09 inigo_lerga Note Edited: 0122588 View Revisions
2020-09-07 09:11 inigo_lerga Note Edited: 0122588 View Revisions
2020-09-07 09:12 inigo_lerga Note Edited: 0122588 View Revisions
2020-09-07 17:08 dmiguelez Note Edited: 0122588 View Revisions
2020-09-07 17:12 hgbot Note Added: 0122767
2020-09-07 17:13 hgbot Note Added: 0122768
2020-09-07 17:13 hgbot Note Added: 0122769
2020-09-07 17:19 hgbot Resolution open => fixed
2020-09-07 17:19 hgbot Status scheduled => closed
2020-09-07 17:19 hgbot Note Added: 0122770
2020-09-07 17:19 hgbot Fixed in Version => PR20Q4
2020-09-07 17:19 hgbot Note Added: 0122771


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker